"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const Colors_1 = __importDefault(require("../Colors"));
const style_1 = __importDefault(require("./style"));
;
const Button = ({ styleContainer = {}, styleText = {}, text = '', children, type = '', onPress, onLongPress, }) => {
    const _onPress = () => {
        onPress === null || onPress === void 0 ? void 0 : onPress();
    };
    const _onLongPress = () => {
        onLongPress === null || onLongPress === void 0 ? void 0 : onLongPress();
    };
    const renderView = () => {
        if (children) {
            return (react_1.default.createElement(react_native_1.View, { style: styleContainer }, children));
        }
        else {
            let btn = {};
            let txt = {};
            if (type) {
                switch (type) {
                    case 'main':
                        btn = Object.assign(Object.assign({}, style_1.default.button), style_1.default.buttonMain);
                        txt = Object.assign(Object.assign({}, style_1.default.text), style_1.default.textMain);
                        break;
                    case 'gray':
                        btn = Object.assign(Object.assign({}, style_1.default.button), style_1.default.buttonGray);
                        txt = Object.assign(Object.assign({}, style_1.default.text), style_1.default.textGray);
                        break;
                }
            }
            return (react_1.default.createElement(react_native_1.View, { style: [btn, styleContainer] },
                react_1.default.createElement(react_native_1.Text, { style: [txt, styleText] }, text)));
        }
    };
    return (react_1.default.createElement(react_native_1.TouchableNativeFeedback, { background: Colors_1.default.TouchColor, onPress: _onPress, onLongPress: _onLongPress }, renderView()));
};
exports.default = Button;
