"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCurrentPosition = void 0;
const geolocation_1 = __importDefault(require("@react-native-community/geolocation"));
const getCurrentPosition = () => __awaiter(void 0, void 0, void 0, function* () {
    return new Promise((resolve, reject) => {
        geolocation_1.default.getCurrentPosition((res) => {
            resolve({
                latitude: res.coords.latitude,
                longitude: res.coords.longitude
            });
        }, (err) => {
            reject({});
        }, {
            enableHighAccuracy: true,
        });
    });
});
exports.getCurrentPosition = getCurrentPosition;
